summaryrefslogtreecommitdiffstats
path: root/package
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2007-04-19 11:42:39 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2007-04-19 11:42:39 +0000
commitf806cc2b9fd39352dad6f5edae3ab61010dcce17 (patch)
treee3de2b5dbfb6220ad3e0893321ff8db9468e0fd8 /package
parent7a1a2ed509f01fd1310d233be8ed4c4c93d49d83 (diff)
don't try to set up wpa if hostapd is not installed
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@7005 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package')
-rwxr-xr-xpackage/madwifi/files/lib/wifi/madwifi.sh16
1 files changed, 9 insertions, 7 deletions
diff --git a/package/madwifi/files/lib/wifi/madwifi.sh b/package/madwifi/files/lib/wifi/madwifi.sh
index 15e7850eb..69874b5c1 100755
--- a/package/madwifi/files/lib/wifi/madwifi.sh
+++ b/package/madwifi/files/lib/wifi/madwifi.sh
@@ -194,13 +194,15 @@ enable_atheros() {
iwconfig "$ifname" essid "$ssid"
case "$mode" in
ap)
- hostapd_setup_vif "$vif" madwifi || {
- echo "enable_atheros($device): Failed to set up wpa for interface $ifname" >&2
- # make sure this wifi interface won't accidentally stay open without encryption
- ifconfig "$ifname" down
- wlanconfig "$ifname" destroy
- continue
- }
+ if eval "type hostapd_setup_vif" 2>/dev/null >/dev/null; then
+ hostapd_setup_vif "$vif" madwifi || {
+ echo "enable_atheros($device): Failed to set up wpa for interface $ifname" >&2
+ # make sure this wifi interface won't accidentally stay open without encryption
+ ifconfig "$ifname" down
+ wlanconfig "$ifname" destroy
+ continue
+ }
+ fi
;;
wds|sta)
case "$enc" in